Description

Hi,

I have revised the German translation and made minor changes to 51 items.

Patches for trunk and 4.0-stable are attached.

Thanks,

Thomas

Related issues:

Related to Redmine - Defect #32515: locales: the "task" should be named as "i... New

Associated revisions

Revision 19615 - 2020-03-24 14:54 - Go MAEDA

Improvement of the German translation (#32238).

Patch by Thomas Löber and Bernhard Rohloff.

History

#1 - 2019-10-23 18:10 - Go MAEDA

Since I don't understand German, I am not sure if this change is appropriate. I want people who understand Geman to review the patch.

#2 - 2019-10-24 11:56 - Bernhard Rohloff

I think the patches look good and are a great improvement of the current translation. My only concern is the translation of the diff label. As it is only

used in the SCM context and the word diff is quite common in the jargon of programmers I'm not sure if it's appropriate to change it to Vergleich

(Comparison). I've added some more native speakers as watchers to hopefully get more feedback from others.

#3 - 2019-10-24 14:03 - Jens Krämer

While I am generally fine with the translation of diff, since Vergleich imho is pretty spot on in it's meaning, I have two other remarks :)

I have a problem with the mixed use of Ticket and Aufgabe. While either would be fine with me as word for the English ticket, I find it bad to mix

both of them. The patch introduces such a mixed use for open_issue_with_closed_parent. I admit at least another such mixed use is currently

present (cant_link_an_issue_with_a_descendant), as I'm typing this on my phone I can't check for other occurrences right now. I admit that 

Unteraufgabe is a much nicer word than Unterticket, but maybe that's just a sign that we should generally rename Ticket to Aufgabe ;)

text_mercurial_repository_note - I think there should not be a space in the z.B. acronym.

#4 - 2019-10-25 05:51 - Bernhard Rohloff

Jens Krämer wrote:

I have a problem with the mixed use of Ticket and Aufgabe. While either would be fine with me as word for the English ticket, I find it bad to

mix both of them. The patch introduces such a mixed use for open_issue_with_closed_parent. I admit at least another such mixed use is

currently present (cant_link_an_issue_with_a_descendant), as I'm typing this on my phone I can't check for other occurrences right now. I

admit that Unteraufgabe is a much nicer word than Unterticket, but maybe that's just a sign that we should generally rename Ticket to 

Aufgabe ;)

 I personally like the word Ticket more since it describes the functionality in an abstract way which is not tied to the purpose like Aufgabe, Auftrag, 

Vorgang. But I'm also fine with Aufgabe as most Tickets are assignments anyway. :-)

text_mercurial_repository_note - I think there should not be a space in the z.B. acronym.
 The acronym z.B. without the space is the deprecated form. The up to date notation is the one that Thomas has proposed. 

https://www.duden.de/rechtschreibung/z__B_

#5 - 2019-11-01 02:14 - Kevin Fischer

Looks good to me!

I admit that Unteraufgabe is a much nicer word than Unterticket, but maybe that's just a sign that we should generally rename Ticket to Aufgabe

;)

 I totally agree and I think we can just do it like in the original English version, where issue and subtask are also used side by side.

I personally like the word Ticket more since it describes the functionality in an abstract way which is not tied to the purpose

 I agree

#6 - 2019-11-01 06:09 - Go MAEDA

Please assign this issue to me when the final translation patch is ready.

#7 - 2019-12-07 05:49 - Go MAEDA

How is the current status of the patch? Could someone provide a final patch?

#8 - 2019-12-12 06:30 - Bernhard Rohloff

- File trunk-de.yml.v2.patch added

I've attached a revision of Thoma's patch which is fixing the mixed use of "Ticket" and "Aufgabe" (issue and task). While testing I found the result very

pleasing and I think it improves the UX of the module quite a lot. I decided to go with "Ticket" as it is a more universal term. IMHO flexibility is a very

strong selling point for Redmine over the most SaaS solutions nowadays.

There is a request for that change in #32515, too. Perhaps we should think about also fixing this for the other locales.

#9 - 2019-12-12 06:31 - Bernhard Rohloff

- Related to Defect #32515: locales: the "task" should be named as "issue" added

#10 - 2019-12-12 06:40 - Bernhard Rohloff

Oh by the way... I replaced the term "Unteraufgaben" with "Untergeordnete Tickets" which sounds nicer than "Unterticket" and looks way better in the

details view when it gets shown above "Verlinkte Tickets".

#11 - 2020-03-11 18:24 - Bernhard Rohloff

- Assignee set to Go MAEDA

- Target version set to 4.2.0

I've tested the patch trunk-de.yml.v2.patch against the current trunk and it still applies with no conflicts. I think the patch is a great improvement for the

over all user experience and we should apply it to the next version.

#12 - 2020-03-22 06:46 - Go MAEDA

- File trunk-de.yml.v3.patch added

Updated the patch for r19602. Translation for strings "must_contain_*" has already been applied in r19572.

#13 - 2020-03-24 14:55 - Go MAEDA

- Subject changed from German translation update to Improvement of the German translation

- Status changed from New to Closed

Committed the patch. Thank you for your contribution.

Files

trunk-de.yml.patch 25.2 KB 2019-10-10 Thomas Löber

4.0-stable-de.yml.patch 24 KB 2019-10-10 Thomas Löber

trunk-de.yml.v2.patch 29.6 KB 2019-12-12 Bernhard Rohloff
trunk-de.yml.v3.patch 29.2 KB 2020-03-22 Go MAEDA
